.hero-slider .frame {
    height: 100px;
    background: var(--belyy);
    border-radius: var(--main-chamfer);
}

.hero-slider {
    position: relative;
    overflow: hidden;
    background: var(--main-bg-clr);
    height: 737px;
}

.hero-slider__slider {
    display: grid;
    height: 100%;
}

.hero-slider__swiper {
    height: 100%;
}

.hero-slider__slide {
    height: 100%;
}

.hero-slider .slide {
    position: relative;
    height: 100%;
}

.hero-slider .slide__container {
    height: 100%;
}

.hero-slider .slide__media {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
}

.hero-slider .slide__media video,
.hero-slider .slide__media img {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    object-fit: cover;
}

.hero-slider .slide__media::after {
    content: "";
    display: block;
    background: linear-gradient(180deg, rgba(0, 0, 0, 0) 36.54%, rgba(0, 0, 0, 0.8) 100%);
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
}

.hero-slider .slide__wrapper {
    height: 100%;
    width: 100%;
    position: relative;
    z-index: 2;
    padding-bottom: 42px;
    padding-top: 30px;
    display: grid;
    -ms-flex-line-pack: end;
    align-content: end;
    gap: 32px;
}

.hero-slider .slide__title {
    font-weight: 500;
    font-size: var(--fluid-48-24);
    line-height: 100%;
    color: var(--belyy);
    max-width: 992px;
}

.rs-intro {
    padding: 0;
}

@media (min-width: 767.98px) {
    .hero-slider__slide .slide__title,
  .hero-slider__slide .slide__text {
        transform: translateY(40px);
        opacity: 0;
        transition: transform, opacity;
        transition-timing-function: ease-out;
    }

    .hero-slider__slide .slide__btns {
        -webkit-clip-path: inset(0 50% 0 50%);
        clip-path: inset(0 50% 0 50%);
        transition: -webkit-clip-path;
        transition: clip-path;
        transition: clip-path, -webkit-clip-path;
        transition-timing-function: ease-out;
    }

    .hero-slider__slide .slide__title {
        transition-duration: 0.4s;
        transition-delay: 0.4s;
    }

    .hero-slider__slide .slide__text {
        transition-duration: 0.4s;
        transition-delay: 0.6s;
    }

    .hero-slider__slide .slide__btns {
        transition-duration: 0.4s;
        transition-delay: 0.8s;
    }

    .hero-slider__slide.swiper-slide-active .slide__title,
  .hero-slider__slide.swiper-slide-active .slide__text {
        opacity: 1;
        transform: translateY(0px);
    }

    .hero-slider__slide.swiper-slide-active .slide__btns {
        -webkit-clip-path: inset(0 0 0 0);
        clip-path: inset(0 0 0 0);
    }
}

@media (max-width: 767.98px) {
    .hero-slider {
        height: 100svh;
    }

    .hero-slider .slide__media video {
        display: none;
    }

    .rs-intro {
        margin-top: -55px;
    }
}